#ifndef OPROF_START_BASE_H
#define OPROF_START_BASE_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTabWidget>
#include <QtGui/QToolButton>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_oprof_start_base
{
public:
    QVBoxLayout *vboxLayout;
    QTabWidget *setup_config_tab;
    QWidget *counter_setup_page;
    QVBoxLayout *vboxLayout1;
    Q3GroupBox *counter_group;
    QVBoxLayout *vboxLayout2;
    QHBoxLayout *hboxLayout;
    Q3ListView *events_list;
    QVBoxLayout *vboxLayout3;
    QCheckBox *os_ring_count_cb;
    QCheckBox *user_ring_count_cb;
    QHBoxLayout *hboxLayout1;
    QLabel *TextLabel1_2;
    QLineEdit *event_count_edit;
    QSpacerItem *Spacer13_2;
    Q3ButtonGroup *unit_mask_group;
    QGridLayout *gridLayout;
    QCheckBox *check0;
    QCheckBox *check1;
    QCheckBox *check2;
    QCheckBox *check3;
    QCheckBox *check4;
    QCheckBox *check5;
    QCheckBox *check6;
    QCheckBox *check7;
    QSpacerItem *Spacer14;
    QCheckBox *check11;
    QCheckBox *check13;
    QCheckBox *check15;
    QCheckBox *check10;
    QCheckBox *check14;
    QCheckBox *check9;
    QCheckBox *check8;
    QCheckBox *check12;
    QLabel *event_help_label;
    QWidget *configuration_page;
    QVBoxLayout *vboxLayout4;
    QHBoxLayout *hboxLayout2;
    QLabel *TextLabel1;
    QLineEdit *kernel_filename_edit;
    QToolButton *kernel_filename_tb;
    QCheckBox *no_vmlinux;
    QHBoxLayout *hboxLayout3;
    QGridLayout *gridLayout1;
    QLineEdit *buffer_size_edit;
    QLineEdit *note_table_size_edit;
    QLabel *cpu_buffer_size_label;
    QLineEdit *cpu_buffer_size_edit;
    QLabel *buffer_size_label;
    QLabel *note_table_size_label;
    QLineEdit *buffer_watershed_edit;
    QLabel *buffer_watershed_label;
    QSpacerItem *Spacer11;
    QGridLayout *gridLayout2;
    QVBoxLayout *vboxLayout5;
    QCheckBox *verbose;
    QCheckBox *separate_lib_cb;
    QCheckBox *separate_kernel_cb;
    QCheckBox *separate_cpu_cb;
    QCheckBox *separate_thread_cb;
    QHBoxLayout *hboxLayout4;
    QLabel *callgraph_depth_label;
    QLineEdit *callgraph_depth_edit;
    QSpacerItem *Spacer12;
    QSpacerItem *Spacer9;
    QLabel *daemon_label;
    QHBoxLayout *hboxLayout5;
    QPushButton *start_profiler_btn;
    QPushButton *flush_profiler_data_btn;
    QPushButton *stop_profiler_btn;
    QSpacerItem *Spacer5;
    QPushButton *reset_sample_files_btn;
    QPushButton *quit_and_save_btn;

    void setupUi(QDialog *oprof_start_base)
    {
        if (oprof_start_base->objectName().isEmpty())
            oprof_start_base->setObjectName(QString::fromUtf8("oprof_start_base"));
        oprof_start_base->resize(625, 735);
        oprof_start_base->setSizeGripEnabled(true);
        vboxLayout = new QVBoxLayout(oprof_start_base);
#ifndef Q_OS_MAC
        vboxLayout->setSpacing(6);
#endif
        vboxLayout->setContentsMargins(11, 11, 11, 11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        setup_config_tab = new QTabWidget(oprof_start_base);
        setup_config_tab->setObjectName(QString::fromUtf8("setup_config_tab"));
        counter_setup_page = new QWidget();
        counter_setup_page->setObjectName(QString::fromUtf8("counter_setup_page"));
        vboxLayout1 = new QVBoxLayout(counter_setup_page);
#ifndef Q_OS_MAC
        vboxLayout1->setSpacing(6);
#endif
        vboxLayout1->setContentsMargins(11, 11, 11, 11);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        counter_group = new Q3GroupBox(counter_setup_page);
        counter_group->setObjectName(QString::fromUtf8("counter_group"));
        counter_group->setColumnLayout(0, Qt::Vertical);
#ifndef Q_OS_MAC
        counter_group->layout()->setSpacing(6);
#endif
        counter_group->layout()->setContentsMargins(11, 11, 11, 11);
        vboxLayout2 = new QVBoxLayout();
        QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(counter_group->layout());
        if (boxlayout)
            boxlayout->addLayout(vboxLayout2);
        vboxLayout2->setAlignment(Qt::AlignTop);
        vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
        hboxLayout = new QHBoxLayout();
#ifndef Q_OS_MAC
        hboxLayout->setSpacing(6);
#endif
#ifndef Q_OS_MAC
        hboxLayout->setContentsMargins(0, 0, 0, 0);
#endif
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        events_list = new Q3ListView(counter_group);
        events_list->addColumn(QApplication::translate("oprof_start_base", "Removedincode", 0, QApplication::UnicodeUTF8));
        events_list->header()->setClickEnabled(false, events_list->header()->count() - 1);
        events_list->header()->setResizeEnabled(true, events_list->header()->count() - 1);
        events_list->setObjectName(QString::fromUtf8("events_list"));
        events_list->setMinimumSize(QSize(250, 0));
        events_list->setSelectionMode(Q3ListView::Multi);

        hboxLayout->addWidget(events_list);

        vboxLayout3 = new QVBoxLayout();
#ifndef Q_OS_MAC
        vboxLayout3->setSpacing(6);
#endif
        vboxLayout3->setContentsMargins(0, 0, 0, 0);
        vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
        os_ring_count_cb = new QCheckBox(counter_group);
        os_ring_count_cb->setObjectName(QString::fromUtf8("os_ring_count_cb"));

        vboxLayout3->addWidget(os_ring_count_cb);

        user_ring_count_cb = new QCheckBox(counter_group);
        user_ring_count_cb->setObjectName(QString::fromUtf8("user_ring_count_cb"));

        vboxLayout3->addWidget(user_ring_count_cb);

        hboxLayout1 = new QHBoxLayout();
#ifndef Q_OS_MAC
        hboxLayout1->setSpacing(6);
#endif
        hboxLayout1->setContentsMargins(0, 0, 0, 0);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        TextLabel1_2 = new QLabel(counter_group);
        TextLabel1_2->setObjectName(QString::fromUtf8("TextLabel1_2"));
        TextLabel1_2->setWordWrap(false);

        hboxLayout1->addWidget(TextLabel1_2);

        event_count_edit = new QLineEdit(counter_group);
        event_count_edit->setObjectName(QString::fromUtf8("event_count_edit"));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(event_count_edit->sizePolicy().hasHeightForWidth());
        event_count_edit->setSizePolicy(sizePolicy);

        hboxLayout1->addWidget(event_count_edit);

        Spacer13_2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout1->addItem(Spacer13_2);


        vboxLayout3->addLayout(hboxLayout1);

        unit_mask_group = new Q3ButtonGroup(counter_group);
        unit_mask_group->setObjectName(QString::fromUtf8("unit_mask_group"));
        QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(unit_mask_group->sizePolicy().hasHeightForWidth());
        unit_mask_group->setSizePolicy(sizePolicy1);
        unit_mask_group->setColumnLayout(0, Qt::Vertical);
#ifndef Q_OS_MAC
        unit_mask_group->layout()->setSpacing(6);
#endif
        unit_mask_group->layout()->setContentsMargins(11, 11, 11, 11);
        gridLayout = new QGridLayout();
        QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(unit_mask_group->layout());
        if (boxlayout1)
            boxlayout1->addLayout(gridLayout);
        gridLayout->setAlignment(Qt::AlignTop);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        check0 = new QCheckBox(unit_mask_group);
        check0->setObjectName(QString::fromUtf8("check0"));

        gridLayout->addWidget(check0, 0, 0, 1, 1);

        check1 = new QCheckBox(unit_mask_group);
        check1->setObjectName(QString::fromUtf8("check1"));

        gridLayout->addWidget(check1, 1, 0, 2, 2);

        check2 = new QCheckBox(unit_mask_group);
        check2->setObjectName(QString::fromUtf8("check2"));

        gridLayout->addWidget(check2, 3, 0, 2, 2);

        check3 = new QCheckBox(unit_mask_group);
        check3->setObjectName(QString::fromUtf8("check3"));

        gridLayout->addWidget(check3, 5, 0, 1, 1);

        check4 = new QCheckBox(unit_mask_group);
        check4->setObjectName(QString::fromUtf8("check4"));

        gridLayout->addWidget(check4, 6, 0, 1, 1);

        check5 = new QCheckBox(unit_mask_group);
        check5->setObjectName(QString::fromUtf8("check5"));

        gridLayout->addWidget(check5, 7, 0, 1, 1);

        check6 = new QCheckBox(unit_mask_group);
        check6->setObjectName(QString::fromUtf8("check6"));

        gridLayout->addWidget(check6, 8, 0, 2, 2);

        check7 = new QCheckBox(unit_mask_group);
        check7->setObjectName(QString::fromUtf8("check7"));

        gridLayout->addWidget(check7, 10, 0, 1, 1);

        Spacer14 = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(Spacer14, 11, 1, 1, 1);

        check11 = new QCheckBox(unit_mask_group);
        check11->setObjectName(QString::fromUtf8("check11"));

        gridLayout->addWidget(check11, 5, 1, 1, 1);

        check13 = new QCheckBox(unit_mask_group);
        check13->setObjectName(QString::fromUtf8("check13"));

        gridLayout->addWidget(check13, 7, 1, 1, 1);

        check15 = new QCheckBox(unit_mask_group);
        check15->setObjectName(QString::fromUtf8("check15"));

        gridLayout->addWidget(check15, 10, 1, 1, 1);

        check10 = new QCheckBox(unit_mask_group);
        check10->setObjectName(QString::fromUtf8("check10"));

        gridLayout->addWidget(check10, 4, 1, 1, 1);

        check14 = new QCheckBox(unit_mask_group);
        check14->setObjectName(QString::fromUtf8("check14"));

        gridLayout->addWidget(check14, 9, 1, 1, 1);

        check9 = new QCheckBox(unit_mask_group);
        check9->setObjectName(QString::fromUtf8("check9"));

        gridLayout->addWidget(check9, 2, 1, 1, 1);

        check8 = new QCheckBox(unit_mask_group);
        check8->setObjectName(QString::fromUtf8("check8"));

        gridLayout->addWidget(check8, 0, 1, 1, 1);

        check12 = new QCheckBox(unit_mask_group);
        check12->setObjectName(QString::fromUtf8("check12"));

        gridLayout->addWidget(check12, 6, 1, 1, 1);


        vboxLayout3->addWidget(unit_mask_group);


        hboxLayout->addLayout(vboxLayout3);


        vboxLayout2->addLayout(hboxLayout);

        event_help_label = new QLabel(counter_group);
        event_help_label->setObjectName(QString::fromUtf8("event_help_label"));
        event_help_label->setEnabled(true);
        QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
        sizePolicy2.setHorizontalStretch(0);
        sizePolicy2.setVerticalStretch(0);
        sizePolicy2.setHeightForWidth(event_help_label->sizePolicy().hasHeightForWidth());
        event_help_label->setSizePolicy(sizePolicy2);
        event_help_label->setFrameShape(QFrame::WinPanel);
        event_help_label->setFrameShadow(QFrame::Sunken);
        event_help_label->setWordWrap(false);

        vboxLayout2->addWidget(event_help_label);


        vboxLayout1->addWidget(counter_group);

        setup_config_tab->addTab(counter_setup_page, QString());
        configuration_page = new QWidget();
        configuration_page->setObjectName(QString::fromUtf8("configuration_page"));
        vboxLayout4 = new QVBoxLayout(configuration_page);
#ifndef Q_OS_MAC
        vboxLayout4->setSpacing(6);
#endif
        vboxLayout4->setContentsMargins(11, 11, 11, 11);
        vboxLayout4->setObjectName(QString::fromUtf8("vboxLayout4"));
        hboxLayout2 = new QHBoxLayout();
#ifndef Q_OS_MAC
        hboxLayout2->setSpacing(6);
#endif
#ifndef Q_OS_MAC
        hboxLayout2->setContentsMargins(0, 0, 0, 0);
#endif
        hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
        TextLabel1 = new QLabel(configuration_page);
        TextLabel1->setObjectName(QString::fromUtf8("TextLabel1"));
        TextLabel1->setWordWrap(false);

        hboxLayout2->addWidget(TextLabel1);

        kernel_filename_edit = new QLineEdit(configuration_page);
        kernel_filename_edit->setObjectName(QString::fromUtf8("kernel_filename_edit"));

        hboxLayout2->addWidget(kernel_filename_edit);

        kernel_filename_tb = new QToolButton(configuration_page);
        kernel_filename_tb->setObjectName(QString::fromUtf8("kernel_filename_tb"));

        hboxLayout2->addWidget(kernel_filename_tb);

        no_vmlinux = new QCheckBox(configuration_page);
        no_vmlinux->setObjectName(QString::fromUtf8("no_vmlinux"));

        hboxLayout2->addWidget(no_vmlinux);


        vboxLayout4->addLayout(hboxLayout2);

        hboxLayout3 = new QHBoxLayout();
#ifndef Q_OS_MAC
        hboxLayout3->setSpacing(6);
#endif
        hboxLayout3->setContentsMargins(0, 0, 0, 0);
        hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
        gridLayout1 = new QGridLayout();
#ifndef Q_OS_MAC
        gridLayout1->setSpacing(6);
#endif
#ifndef Q_OS_MAC
        gridLayout1->setContentsMargins(0, 0, 0, 0);
#endif
        gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
        buffer_size_edit = new QLineEdit(configuration_page);
        buffer_size_edit->setObjectName(QString::fromUtf8("buffer_size_edit"));

        gridLayout1->addWidget(buffer_size_edit, 0, 1, 1, 1);

        note_table_size_edit = new QLineEdit(configuration_page);
        note_table_size_edit->setObjectName(QString::fromUtf8("note_table_size_edit"));

        gridLayout1->addWidget(note_table_size_edit, 1, 1, 1, 1);

        cpu_buffer_size_label = new QLabel(configuration_page);
        cpu_buffer_size_label->setObjectName(QString::fromUtf8("cpu_buffer_size_label"));
        cpu_buffer_size_label->setWordWrap(false);

        gridLayout1->addWidget(cpu_buffer_size_label, 3, 0, 1, 1);

        cpu_buffer_size_edit = new QLineEdit(configuration_page);
        cpu_buffer_size_edit->setObjectName(QString::fromUtf8("cpu_buffer_size_edit"));

        gridLayout1->addWidget(cpu_buffer_size_edit, 3, 1, 1, 1);

        buffer_size_label = new QLabel(configuration_page);
        buffer_size_label->setObjectName(QString::fromUtf8("buffer_size_label"));
        buffer_size_label->setWordWrap(false);

        gridLayout1->addWidget(buffer_size_label, 0, 0, 1, 1);

        note_table_size_label = new QLabel(configuration_page);
        note_table_size_label->setObjectName(QString::fromUtf8("note_table_size_label"));
        note_table_size_label->setWordWrap(false);

        gridLayout1->addWidget(note_table_size_label, 1, 0, 1, 1);

        buffer_watershed_edit = new QLineEdit(configuration_page);
        buffer_watershed_edit->setObjectName(QString::fromUtf8("buffer_watershed_edit"));

        gridLayout1->addWidget(buffer_watershed_edit, 2, 1, 1, 1);

        buffer_watershed_label = new QLabel(configuration_page);
        buffer_watershed_label->setObjectName(QString::fromUtf8("buffer_watershed_label"));
        buffer_watershed_label->setWordWrap(false);

        gridLayout1->addWidget(buffer_watershed_label, 2, 0, 1, 1);


        hboxLayout3->addLayout(gridLayout1);

        Spacer11 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout3->addItem(Spacer11);


        vboxLayout4->addLayout(hboxLayout3);

        gridLayout2 = new QGridLayout();
#ifndef Q_OS_MAC
        gridLayout2->setSpacing(6);
#endif
        gridLayout2->setContentsMargins(0, 0, 0, 0);
        gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
        vboxLayout5 = new QVBoxLayout();
#ifndef Q_OS_MAC
        vboxLayout5->setSpacing(6);
#endif
#ifndef Q_OS_MAC
        vboxLayout5->setContentsMargins(0, 0, 0, 0);
#endif
        vboxLayout5->setObjectName(QString::fromUtf8("vboxLayout5"));
        verbose = new QCheckBox(configuration_page);
        verbose->setObjectName(QString::fromUtf8("verbose"));

        vboxLayout5->addWidget(verbose);

        separate_lib_cb = new QCheckBox(configuration_page);
        separate_lib_cb->setObjectName(QString::fromUtf8("separate_lib_cb"));

        vboxLayout5->addWidget(separate_lib_cb);

        separate_kernel_cb = new QCheckBox(configuration_page);
        separate_kernel_cb->setObjectName(QString::fromUtf8("separate_kernel_cb"));

        vboxLayout5->addWidget(separate_kernel_cb);

        separate_cpu_cb = new QCheckBox(configuration_page);
        separate_cpu_cb->setObjectName(QString::fromUtf8("separate_cpu_cb"));

        vboxLayout5->addWidget(separate_cpu_cb);

        separate_thread_cb = new QCheckBox(configuration_page);
        separate_thread_cb->setObjectName(QString::fromUtf8("separate_thread_cb"));

        vboxLayout5->addWidget(separate_thread_cb);

        hboxLayout4 = new QHBoxLayout();
#ifndef Q_OS_MAC
        hboxLayout4->setSpacing(6);
#endif
        hboxLayout4->setContentsMargins(0, 0, 0, 0);
        hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
        callgraph_depth_label = new QLabel(configuration_page);
        callgraph_depth_label->setObjectName(QString::fromUtf8("callgraph_depth_label"));
        callgraph_depth_label->setWordWrap(false);

        hboxLayout4->addWidget(callgraph_depth_label);

        callgraph_depth_edit = new QLineEdit(configuration_page);
        callgraph_depth_edit->setObjectName(QString::fromUtf8("callgraph_depth_edit"));

        hboxLayout4->addWidget(callgraph_depth_edit);


        vboxLayout5->addLayout(hboxLayout4);


        gridLayout2->addLayout(vboxLayout5, 0, 0, 1, 1);

        Spacer12 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout2->addItem(Spacer12, 0, 1, 1, 1);


        vboxLayout4->addLayout(gridLayout2);

        Spacer9 = new QSpacerItem(20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

        vboxLayout4->addItem(Spacer9);

        setup_config_tab->addTab(configuration_page, QString());

        vboxLayout->addWidget(setup_config_tab);

        daemon_label = new QLabel(oprof_start_base);
        daemon_label->setObjectName(QString::fromUtf8("daemon_label"));
        daemon_label->setFrameShape(QFrame::Panel);
        daemon_label->setFrameShadow(QFrame::Sunken);
        daemon_label->setWordWrap(false);

        vboxLayout->addWidget(daemon_label);

        hboxLayout5 = new QHBoxLayout();
#ifndef Q_OS_MAC
        hboxLayout5->setSpacing(6);
#endif
        hboxLayout5->setContentsMargins(0, 0, 0, 0);
        hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
        start_profiler_btn = new QPushButton(oprof_start_base);
        start_profiler_btn->setObjectName(QString::fromUtf8("start_profiler_btn"));

        hboxLayout5->addWidget(start_profiler_btn);

        flush_profiler_data_btn = new QPushButton(oprof_start_base);
        flush_profiler_data_btn->setObjectName(QString::fromUtf8("flush_profiler_data_btn"));

        hboxLayout5->addWidget(flush_profiler_data_btn);

        stop_profiler_btn = new QPushButton(oprof_start_base);
        stop_profiler_btn->setObjectName(QString::fromUtf8("stop_profiler_btn"));

        hboxLayout5->addWidget(stop_profiler_btn);

        Spacer5 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout5->addItem(Spacer5);

        reset_sample_files_btn = new QPushButton(oprof_start_base);
        reset_sample_files_btn->setObjectName(QString::fromUtf8("reset_sample_files_btn"));

        hboxLayout5->addWidget(reset_sample_files_btn);

        quit_and_save_btn = new QPushButton(oprof_start_base);
        quit_and_save_btn->setObjectName(QString::fromUtf8("quit_and_save_btn"));
        quit_and_save_btn->setAutoDefault(true);

        hboxLayout5->addWidget(quit_and_save_btn);


        vboxLayout->addLayout(hboxLayout5);

#ifndef QT_NO_SHORTCUT
        TextLabel1_2->setBuddy(event_count_edit);
        TextLabel1->setBuddy(kernel_filename_edit);
        cpu_buffer_size_label->setBuddy(cpu_buffer_size_edit);
        buffer_size_label->setBuddy(buffer_size_edit);
        note_table_size_label->setBuddy(note_table_size_edit);
        buffer_watershed_label->setBuddy(buffer_watershed_edit);
        callgraph_depth_label->setBuddy(callgraph_depth_edit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(setup_config_tab, events_list);
        QWidget::setTabOrder(events_list, os_ring_count_cb);
        QWidget::setTabOrder(os_ring_count_cb, user_ring_count_cb);
        QWidget::setTabOrder(user_ring_count_cb, event_count_edit);
        QWidget::setTabOrder(event_count_edit, check0);
        QWidget::setTabOrder(check0, check1);
        QWidget::setTabOrder(check1, check2);
        QWidget::setTabOrder(check2, check3);
        QWidget::setTabOrder(check3, check4);
        QWidget::setTabOrder(check4, check5);
        QWidget::setTabOrder(check5, check6);
        QWidget::setTabOrder(check6, check7);
        QWidget::setTabOrder(check7, check8);
        QWidget::setTabOrder(check8, check9);
        QWidget::setTabOrder(check9, check10);
        QWidget::setTabOrder(check10, check11);
        QWidget::setTabOrder(check11, check12);
        QWidget::setTabOrder(check12, check13);
        QWidget::setTabOrder(check13, check14);
        QWidget::setTabOrder(check14, check15);
        QWidget::setTabOrder(check15, start_profiler_btn);
        QWidget::setTabOrder(start_profiler_btn, flush_profiler_data_btn);
        QWidget::setTabOrder(flush_profiler_data_btn, stop_profiler_btn);
        QWidget::setTabOrder(stop_profiler_btn, reset_sample_files_btn);
        QWidget::setTabOrder(reset_sample_files_btn, quit_and_save_btn);
        QWidget::setTabOrder(quit_and_save_btn, kernel_filename_edit);
        QWidget::setTabOrder(kernel_filename_edit, no_vmlinux);
        QWidget::setTabOrder(no_vmlinux, buffer_size_edit);
        QWidget::setTabOrder(buffer_size_edit, note_table_size_edit);
        QWidget::setTabOrder(note_table_size_edit, buffer_watershed_edit);
        QWidget::setTabOrder(buffer_watershed_edit, verbose);
        QWidget::setTabOrder(verbose, separate_lib_cb);
        QWidget::setTabOrder(separate_lib_cb, separate_kernel_cb);
        QWidget::setTabOrder(separate_kernel_cb, separate_cpu_cb);
        QWidget::setTabOrder(separate_cpu_cb, separate_thread_cb);
        QWidget::setTabOrder(separate_thread_cb, callgraph_depth_edit);

        retranslateUi(oprof_start_base);
        QObject::connect(start_profiler_btn, SIGNAL(clicked()), oprof_start_base, SLOT(on_start_profiler()));
        QObject::connect(stop_profiler_btn, SIGNAL(clicked()), oprof_start_base, SLOT(on_stop_profiler()));
        QObject::connect(flush_profiler_data_btn, SIGNAL(clicked()), oprof_start_base, SLOT(on_flush_profiler_data()));
        QObject::connect(quit_and_save_btn, SIGNAL(clicked()), oprof_start_base, SLOT(accept()));
        QObject::connect(kernel_filename_tb, SIGNAL(clicked()), oprof_start_base, SLOT(choose_kernel_filename()));
        QObject::connect(no_vmlinux, SIGNAL(toggled(bool)), kernel_filename_tb, SLOT(setDisabled(bool)));
        QObject::connect(no_vmlinux, SIGNAL(toggled(bool)), kernel_filename_edit, SLOT(setDisabled(bool)));
        QObject::connect(no_vmlinux, SIGNAL(toggled(bool)), TextLabel1, SLOT(setDisabled(bool)));
        QObject::connect(separate_kernel_cb, SIGNAL(stateChanged(int)), oprof_start_base, SLOT(on_separate_kernel_cb_changed(int)));
        QObject::connect(reset_sample_files_btn, SIGNAL(clicked()), oprof_start_base, SLOT(on_reset_sample_files()));
        QObject::connect(events_list, SIGNAL(selectionChanged()), oprof_start_base, SLOT(event_selected()));
        QObject::connect(events_list, SIGNAL(currentChanged(Q3ListViewItem*)), oprof_start_base, SLOT(event_over(Q3ListViewItem*)));
        QObject::connect(events_list, SIGNAL(onItem(Q3ListViewItem*)), oprof_start_base, SLOT(event_over(Q3ListViewItem*)));

        QMetaObject::connectSlotsByName(oprof_start_base);
    } // setupUi

    void retranslateUi(QDialog *oprof_start_base)
    {
        oprof_start_base->setWindowTitle(QApplication::translate("oprof_start_base", "Start profiler", 0, QApplication::UnicodeUTF8));
        counter_group->setTitle(QApplication::translate("oprof_start_base", "Events", 0, QApplication::UnicodeUTF8));
        events_list->header()->setLabel(0, QApplication::translate("oprof_start_base", "Removedincode", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        events_list->setToolTip(QApplication::translate("oprof_start_base", "Available events", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        os_ring_count_cb->setText(QApplication::translate("oprof_start_base", "Profile &kernel", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        os_ring_count_cb->setToolTip(QApplication::translate("oprof_start_base", "Profile kernel code", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        user_ring_count_cb->setText(QApplication::translate("oprof_start_base", "Profile &user binaries", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        user_ring_count_cb->setToolTip(QApplication::translate("oprof_start_base", "Profile user libraries and applications", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        TextLabel1_2->setText(QApplication::translate("oprof_start_base", "C&ount", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        event_count_edit->setToolTip(QApplication::translate("oprof_start_base", "Set the count value", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        unit_mask_group->setTitle(QApplication::translate("oprof_start_base", "Unit mask", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        unit_mask_group->setToolTip(QApplication::translate("oprof_start_base", "Unit mask settings for this event", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        check0->setText(QApplication::translate("oprof_start_base", "check0", 0, QApplication::UnicodeUTF8));
        check1->setText(QApplication::translate("oprof_start_base", "check1", 0, QApplication::UnicodeUTF8));
        check2->setText(QApplication::translate("oprof_start_base", "check2", 0, QApplication::UnicodeUTF8));
        check3->setText(QApplication::translate("oprof_start_base", "check3", 0, QApplication::UnicodeUTF8));
        check4->setText(QApplication::translate("oprof_start_base", "check4", 0, QApplication::UnicodeUTF8));
        check5->setText(QApplication::translate("oprof_start_base", "check5", 0, QApplication::UnicodeUTF8));
        check6->setText(QApplication::translate("oprof_start_base", "check6", 0, QApplication::UnicodeUTF8));
        check7->setText(QApplication::translate("oprof_start_base", "check7", 0, QApplication::UnicodeUTF8));
        check11->setText(QApplication::translate("oprof_start_base", "check11", 0, QApplication::UnicodeUTF8));
        check13->setText(QApplication::translate("oprof_start_base", "check13", 0, QApplication::UnicodeUTF8));
        check15->setText(QApplication::translate("oprof_start_base", "check15", 0, QApplication::UnicodeUTF8));
        check10->setText(QApplication::translate("oprof_start_base", "check10", 0, QApplication::UnicodeUTF8));
        check14->setText(QApplication::translate("oprof_start_base", "check14", 0, QApplication::UnicodeUTF8));
        check9->setText(QApplication::translate("oprof_start_base", "check9", 0, QApplication::UnicodeUTF8));
        check8->setText(QApplication::translate("oprof_start_base", "check8", 0, QApplication::UnicodeUTF8));
        check12->setText(QApplication::translate("oprof_start_base", "check12", 0, QApplication::UnicodeUTF8));
        event_help_label->setText(QString());
        setup_config_tab->setTabText(setup_config_tab->indexOf(counter_setup_page), QApplication::translate("oprof_start_base", "&Setup", 0, QApplication::UnicodeUTF8));
        TextLabel1->setText(QApplication::translate("oprof_start_base", "&Kernel image file", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        kernel_filename_edit->setToolTip(QApplication::translate("oprof_start_base", "The vmlinux file of the running kernel", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        kernel_filename_tb->setText(QApplication::translate("oprof_start_base", "...", 0, QApplication::UnicodeUTF8));
        no_vmlinux->setText(QApplication::translate("oprof_start_base", "No kernel image", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        no_vmlinux->setToolTip(QApplication::translate("oprof_start_base", "No kernel image available. Disables kernel profiling.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        buffer_size_edit->setToolTip(QApplication::translate("oprof_start_base", "The size of the profiler's buffers", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        cpu_buffer_size_label->setText(QApplication::translate("oprof_start_base", "Cpu buffer size", 0, QApplication::UnicodeUTF8));
        buffer_size_label->setText(QApplication::translate("oprof_start_base", "&Buffer size", 0, QApplication::UnicodeUTF8));
        note_table_size_label->setText(QApplication::translate("oprof_start_base", "Note Size", 0, QApplication::UnicodeUTF8));
        buffer_watershed_label->setText(QApplication::translate("oprof_start_base", "Buffer watershed", 0, QApplication::UnicodeUTF8));
        verbose->setText(QApplication::translate("oprof_start_base", "&Verbose", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        verbose->setToolTip(QApplication::translate("oprof_start_base", "Very verbose output in log file", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        separate_lib_cb->setText(QApplication::translate("oprof_start_base", "Per-application profiles", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        separate_lib_cb->setToolTip(QApplication::translate("oprof_start_base", "Separate samples for each shared library. This increases the time and space overhead of OProfile.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        separate_kernel_cb->setText(QApplication::translate("oprof_start_base", "Per-application profiles, including kernel", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        separate_kernel_cb->setToolTip(QApplication::translate("oprof_start_base", "Separate samples for each shared library and kernel samples. This increases the time and space overhead of OProfile.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        separate_cpu_cb->setText(QApplication::translate("oprof_start_base", "Per-CPU profiles", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        separate_cpu_cb->setToolTip(QApplication::translate("oprof_start_base", "Separate samples for each shared library and kernel samples. This increases the time and space overhead of OProfile.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        separate_thread_cb->setText(QApplication::translate("oprof_start_base", "Per-thread/task profiles", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        separate_thread_cb->setToolTip(QApplication::translate("oprof_start_base", "Separate samples for each shared library and kernel samples. This increases the time and space overhead of OProfile.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        callgraph_depth_label->setText(QApplication::translate("oprof_start_base", "callgraph depth, zero to disable", 0, QApplication::UnicodeUTF8));
        setup_config_tab->setTabText(setup_config_tab->indexOf(configuration_page), QApplication::translate("oprof_start_base", "&Configuration", 0, QApplication::UnicodeUTF8));
        daemon_label->setText(QString());
#ifndef QT_NO_TOOLTIP
        daemon_label->setToolTip(QApplication::translate("oprof_start_base", "Current daemon status", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        start_profiler_btn->setText(QApplication::translate("oprof_start_base", "St&art", 0, QApplication::UnicodeUTF8));
        flush_profiler_data_btn->setText(QApplication::translate("oprof_start_base", "&Flush", 0, QApplication::UnicodeUTF8));
        stop_profiler_btn->setText(QApplication::translate("oprof_start_base", "Stop", 0, QApplication::UnicodeUTF8));
        reset_sample_files_btn->setText(QApplication::translate("oprof_start_base", "Reset sample files", 0, QApplication::UnicodeUTF8));
        quit_and_save_btn->setText(QApplication::translate("oprof_start_base", "Save and &quit", 0, QApplication::UnicodeUTF8));
    } // retranslateUi

};

namespace Ui {
    class oprof_start_base: public Ui_oprof_start_base {};
} // namespace Ui

QT_END_NAMESPACE

class oprof_start_base : public QDialog, public Ui::oprof_start_base
{
    Q_OBJECT

public:
    oprof_start_base(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~oprof_start_base();

protected slots:
    virtual void languageChange();

    virtual void choose_kernel_filename();
    virtual void event_over(Q3ListViewItem *);
    virtual void event_selected();
    virtual void on_reset_sample_files();
    virtual void on_flush_profiler_data();
    virtual void on_separate_kernel_cb_changed(int);
    virtual void on_start_profiler();
    virtual void on_stop_profiler();


};

#endif // OPROF_START_BASE_H
